org.eclipse.rdf4j.federated.algebra

## Class ConjunctiveFilterExpr

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.federated.algebra.ConjunctiveFilterExpr

- All Implemented Interfaces:
    Serializable, Cloneable, FilterValueExpr, GraphPatternGroupable, QueryModelNode, ValueExpr, VariableScopeChange

      public class ConjunctiveFilterExpr
      extends AbstractQueryModelNode
      implements FilterValueExpr

  ConjunctiveFilterExpr maintains a list of conjunctive (i.e. AND connected) constraints.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<FilterExpr>` | `expressions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConjunctiveFilterExpr(Collection<FilterExpr> expressions)`
    `ConjunctiveFilterExpr(FilterExpr expr1, FilterExpr expr2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExpression(FilterExpr expr)`
    `ConjunctiveFilterExpr` | `clone()` Returns a (deep) clone of this query model node.
    `List<FilterExpr>` | `getExpressions()`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.
    `<X extends Exception> void` | `visitChildren(QueryModelVisitor<X> visitor)` Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Field Detail

    - #### expressions

          protected List<FilterExpr> expressions

  - ### Constructor Detail

    - #### ConjunctiveFilterExpr

          public ConjunctiveFilterExpr(FilterExpr expr1,
                                       FilterExpr expr2)

    - #### ConjunctiveFilterExpr

          public ConjunctiveFilterExpr(Collection<FilterExpr> expressions)

  - ### Method Detail

    - #### addExpression

          public void addExpression(FilterExpr expr)

    - #### getExpressions

          public List<FilterExpr> getExpressions()

    - #### clone

          public ConjunctiveFilterExpr clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Throws:
        `X extends Exception`

    - #### visitChildren

          public <X extends Exception> void visitChildren(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `AbstractQueryModelNode`
      Throws:
        `X extends Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.